package models.skeleton;

import transforms.Vec3D;
import utils.MathUtill;

import java.util.ArrayList;
import java.util.List;

public class Skeleton {
    private List<Line> boneLines;

    public Skeleton() {
        boneLines = new ArrayList<>();
    }

    public List<Line> getBoneLines() {
        return boneLines;
    }

    public void setBoneLines(List<Line> boneLines) {
        this.boneLines = boneLines;
    }

    public void addNewLine(Line line){
        int pos = 0;
        line.setStart(new Vec3D(pos,pos,pos));
        line.setEnd(new Vec3D(pos,pos,pos));
        boneLines.add(line);
    }

    public float[] getVertexAttributes(){
        List<Float> vertices = new ArrayList<>();
        for (Line line : boneLines) {
            vertices.add((float) line.getStart().getX());
            vertices.add((float) line.getStart().getY());
            vertices.add((float) line.getStart().getZ());
            vertices.add((float) line.getStartIndex());

            vertices.add((float) line.getEnd().getX());
            vertices.add((float) line.getEnd().getY());
            vertices.add((float) line.getEnd().getZ());
            vertices.add((float) line.getEndIndex());
        }
        return MathUtill.getFloatArray(vertices);
    }
    public int[] getIndices(){
        List<Integer> indices = new ArrayList<>();
        int i = 0;
        for (Line line : boneLines) {
            indices.add(i++);
            indices.add(i++);
//            indices.add(line.getStartIndex());
//            indices.add(line.getEndIndex());
        }
        return MathUtill.getIntArray(indices);
    }

}
