package utils;

import org.lwjgl.assimp.AIMatrix4x4;
import org.lwjgl.assimp.AINodeAnim;
import org.lwjgl.assimp.AIVector3D;
import org.lwjgl.assimp.AIVectorKey;
import transforms.Mat4;
import transforms.Point3D;
import transforms.Vec3D;

import java.util.List;

public class MathUtill {

    public static Mat4 toMat4Matrix(AIMatrix4x4 aiMatrix4x4){
        Point3D pointA = new Point3D(aiMatrix4x4.a1(), aiMatrix4x4.a2(), aiMatrix4x4.a3(), aiMatrix4x4.a4());
        Point3D pointB = new Point3D(aiMatrix4x4.b1(), aiMatrix4x4.b2(), aiMatrix4x4.b3(), aiMatrix4x4.b4());
        Point3D pointC = new Point3D(aiMatrix4x4.c1(), aiMatrix4x4.c2(), aiMatrix4x4.c3(), aiMatrix4x4.c4());
        Point3D pointD = new Point3D(aiMatrix4x4.d1(), aiMatrix4x4.d2(), aiMatrix4x4.d3(), aiMatrix4x4.d4());

        return new Mat4(pointA,pointB,pointC,pointD);
    }
    public static float[] getFloatArray(List<Float> verticesList) {
        float[] vertexData;
        vertexData = new float[verticesList.size()];

        for (int i = 0; i < verticesList.size(); i++) {
            vertexData[i] = verticesList.get(i);
        }

        return vertexData;
    }

    public static int[] getIntArray(List<Integer> indicesList) {
        int[] indexData;
        indexData = new int[indicesList.size()];

        for (int i = 0; i < indicesList.size(); i++) {
            indexData[i] = indicesList.get(i);
        }

        return indexData;
    }
    public static int findMaxIndexOfArray(float[] array) {
        float max = array[0];
        int index = 0;

        for (int i = 1; i < array.length; i++) {
            if (array[i] > max) {
                max = array[i];
                index = i;
            }
        }
        return index;
    }

}
