#version 440
const int MAX_WEIGHTS = 4;

in vec3 in_position;
in vec3 in_normal;
in vec4 in_boneIDs;
in vec4 in_weights;


out vec4 position;
out vec3 color;
out vec3 normal;
out vec3 viewVector;
out vec3 lightVector;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 boneTransforms[100];
uniform vec3 in_viewVector;

void main(void) {
    position = vec4(0, 0, 0, 1);
    viewVector = normalize(in_viewVector);

    for (int i = 0; i < MAX_WEIGHTS; i++) {
        if (int(in_boneIDs[i]) != -1) {
            vec4 localPosition = (boneTransforms[int(in_boneIDs[i])]) * vec4(in_position, 1.0f);
            position.xyz += localPosition.xyz * in_weights[i];
        }
    }
    lightVector = vec3(0,1,-1);
    normal = normalize(in_normal);
    mat4 fixModel = mat4(1.,0.,0.,0., 0.,0.,1.,0., 0.,1.,0.,0., 0.,0.,0.,1.);
    gl_Position = projectionMatrix * viewMatrix * fixModel * position;
}
