#version 440
in vec3 in_position;
in vec3 in_color;
in float in_boneID;
in vec3 in_normal;

out vec4 position;
out vec3 color;
out vec3 normal;
out vec3 viewVector;


uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 boneTransforms[100];
uniform vec3 in_viewVector;

void main(void) {
    color = in_color;
    position = vec4(0, 0, 0, 1);
    viewVector = normalize(in_viewVector);
    normal = normalize(in_normal);

    position = boneTransforms[int(in_boneID)] * vec4(in_position, 1.0f);

    position = position * vec4(0.01, 0.01, 0.01, 1.0f);
    gl_Position = projectionMatrix * viewMatrix * position;
}
